Bug 487106 - kmail crashes when text is selected in composer window
kmail crashes when text is selected in composer window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 04:23 EST by Arkadi Shishlov
Modified: 2009-04-06 16:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 12:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (3.88 KB, text/plain)
2009-02-24 04:23 EST, Arkadi Shishlov
no flags Details

  None (edit)
Description Arkadi Shishlov 2009-02-24 04:23:01 EST
Created attachment 333009 [details]
stacktrace

KMail crashes with SIGABRT when text is selected, either via mouse or keyboard, in Composer window (email body).

kdeaccessibility-4.2.0-1.fc11.i386
kdeartwork-4.2.0-1.fc11.i386
kdebase-4.2.0-5.fc11.i386
kdebase-libs-4.2.0-5.fc11.i386
kdebase-runtime-4.2.0-6.fc11.i386
kdebase-runtime-libs-4.2.0-6.fc11.i386
kdebase-workspace-4.2.0-13.fc11.i586
kdebase-workspace-libs-4.2.0-13.fc11.i586
kdeedu-libs-4.2.0-6.fc11.i386
kdeedu-marble-4.2.0-6.fc11.i386
kde-filesystem-4-23.fc11.noarch
kdegames-4.2.0-2.fc11.i386
kdegames-libs-4.2.0-2.fc11.i386
kdegraphics-4.2.0-2.fc11.i386
kdegraphics-libs-4.2.0-2.fc11.i386
kdelibs3-3.5.10-5.fc11.i386
kdelibs-4.2.0-13.fc11.i586
kdelibs-common-4.2.0-13.fc11.i586
kdemultimedia-4.2.0-2.fc11.i386
kdemultimedia-libs-4.2.0-2.fc11.i386
kdenetwork-4.2.0-7.fc11.i586
kdenetwork-libs-4.2.0-7.fc11.i586
kdepim-4.2.0-2.fc11.i386
kdepim-libs-4.2.0-2.fc11.i386
kdepimlibs-4.2.0-4.fc11.i586
kdepimlibs-akonadi-4.2.0-4.fc11.i586
kdeplasma-addons-4.2.0-1.fc11.i386
kde-settings-4.2-3.20090218svn.fc11.noarch
kde-settings-kdm-4.2-3.20090218svn.fc11.noarch
kde-settings-pulseaudio-4.2-3.20090218svn.fc11.noarch
kdeutils-4.2.0-1.fc11.i386
qt3-3.3.8b-21.fc11.i386
qt-4.5.0-0.3.rc1.fc11.i386
qt-mysql-4.5.0-0.3.rc1.fc11.i386
qt-x11-4.5.0-0.3.rc1.fc11.i386
Comment 1 Kevin Kofler 2009-02-24 10:20:25 EST
Looks like a Qt 4.5 bug (buffer overflow in qzip).
Comment 2 Edney Matias 2009-02-26 06:32:20 EST
I'm also seeing this and it also happens with the notes plasmoid.
Comment 3 Ngo Than 2009-03-09 12:50:58 EDT
i cannot reproduce this in rawhide with 4.5.0 release.
Comment 4 Edney Matias 2009-03-09 13:50:27 EDT
i cannot reproduce it on kde 4.2.1 from fedora-kde neither i could reproduce it on 4.2.0 with qt 4.5 final. It's ok now!
Comment 5 Edney Matias 2009-04-06 16:52:04 EDT
Hi there.

I'm running Fedora 11 beta full updated and sometimes KDE 4.2.2 freezes. I could not track down the source of this but i suspect it's related to the selection of a text. 

Right now i'm paying more atention on the things i'm doing but the freeze happen while i'm reading something, moving around my mouse and doing selections. It's a kind of a habbit to select text while i'm reading and then kde freezes. 

It's not a full freeze, i mean amarok still playing on background but mouse stops to work, keyboard doesn't respond and system plasmoids stops to track CPU usage, for example.

I can't say this behavior has something to do with the new intel driver anyway this also use to happen on Fedora 10 with KDE from Red Hat repo and qt 4.5, this is why i´m inclined to think it´ s related to this bug. I´m not good doing this anyway! :D

What should i do?

Note You need to log in before you can comment on or make changes to this bug.